QGIS Application - Bug report #3273
Minimum Dialog Size Standard
2010-11-30 10:59 AM - Alex Mandel

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 13333
Description

The newer Labeling engine dialog is too big to be usable on smaller screens. Specifically it can't be shrunk anymore than it's default size
of 800 so the Ok/Cancel buttons are off screen if you have a vertical resolution limit of 800 or less. This is a big problem for ultra portable
laptops, netbooks and anyone who uses 1024x768 resolution (20% or more of the world).

| think there needs to be a standard that all GUI components must be able to shrink down to at least 600 pixels in height.

History

#1 - 2011-03-12 02:12 AM - Borys Jurgiel

Is this ticket still valid? What desktop environment and style? At Oxygen@KDE4 | can shrink it to about 440 x 640 pix.

#2 - 2011-03-12 06:09 PM - Alex Mandel

- Status changed from Open to Closed

- Resolution set to fixed

It appears to be fixed after 1.6 either on purpose or by accident as the Labeling menu is now tabbed. | checked on a trunk build from last week.

| still recommend that all ui dialogs be checked to ensure that their minimum heights allow for being shrunk down to 600px or less.

#3 - 2011-08-24 10:35 PM - Alex Mandel

- Assignee deleted (nobody -)

- Priority changed from Low to Normal

- Pull Request or Patch supplied set to No
- Target version changed from Version 1.7.0 to Version 1.7.1

| originally reported this in regards to the Labelling engine dialog, but intended have it open a discussion about checking all dialogs and potentially posting

something in the development guidelines. Testing on a netbook today, the Project Properties Dialog is more than 600 px tall and can not be shrunk to that

height so it's impossible to use on a 1024x600 netbook. Not sure if re-opening this is the best way to address the general issue.

Todays test happened to be XFCE, but | can also confirm on GNOME.

#4 - 2012-10-24 04:22 AM - marisn -
- Crashes QGIS or corrupts data set to No
- Target version changed from Version 1.7.1 to Version 2.0.0

- Affected QGIS version set to master

Well. Today | had an opportunity to use QGIS on a netbook with screen height of 600px. Part of those 600px where occupied by Windows Start menu/task
bar. Vector layer dialog's minimum height is 600px, still it doesn't help, as buttons are located below task bar. As laptop owner had no idea that it's possible
to move task bar to side of screen, owner had abandoned QGIS as it was not possible to use properties dialog.

| have no idea how it should be handled. Should we open a bug reports for every dialog with min size > 560px?
I will add it to next Hackfest TODO's.
